# Get participant by identifier key and value

## Get conversation participant by contact

> Retrieve a single conversation participant by specifying their identifier key and value. For more information on identifier keys and values, please refer to the "Conversation Participants" page.<br>

```json
{"openapi":"3.0.3","info":{"title":"Conversations","version":"v1"},"tags":[{"name":"conversation_participant","description":"Manage the participants of a conversation."}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"inbox.conversations.participant":{"properties":{"avatarUrl":{"type":"string"},"contact":{"$ref":"#/components/schemas/inbox.conversations.participant_contact"},"conversationId":{"format":"uuid","type":"string"},"createdAt":{"format":"date-time","type":"string"},"displayName":{"type":"string"},"id":{"type":"string"},"resourceUri":{"type":"string"},"status":{"$ref":"#/components/schemas/inbox.conversations.participant_status"},"type":{"$ref":"#/components/schemas/inbox.conversations.participant_type"},"updatedAt":{"format":"date-time","type":"string"}},"required":["id","type"],"title":"Conversation Participant","type":"object"},"inbox.conversations.participant_contact":{"properties":{"identifierKey":{"type":"string"},"identifierValue":{"type":"string"},"platformAddress":{"type":"string"},"platformAddressSelector":{"type":"string"}},"required":["identifierKey","identifierValue"],"type":"object"},"inbox.conversations.participant_status":{"enum":["invited","pending","active","inactive"],"type":"string"},"inbox.conversations.participant_type":{"enum":["user","contact","agent","flow","bot","accessKey","channel","connector","collaborationAutomation"],"type":"string"},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"notFound":{"$ref":"#/components/responses/error.response.not_found"},"error.response.not_found":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"The requested resource was not found."}}},"paths":{"/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}":{"get":{"summary":"Get conversation participant by contact","operationId":"getConversationParticipantByContact","description":"Retrieve a single conversation participant by specifying their identifier key and value. For more information on identifier keys and values, please refer to the \"Conversation Participants\" page.\n","tags":["conversation_participant"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inbox.conversations.participant"}}}},"404":{"$ref":"#/components/responses/notFound"}}}}}}
```

## Examples

{% tabs %}
{% tab title="Request" %}

```bash
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418/participants/emailaddress/john.doe@bird.com" \
-H "Authorization: AccessKey abcd"
```

{% endtab %}

{% tab title="Response (200 - OK)" %}

```json
{
  "id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
  "type": "contact",
  "status": "active",
  "displayName": "John Doe",
  "avatarUrl": "",
  "contact": {
    "identifierKey": "emailaddress",
    "identifierValue": "john.doe@bird.com",
    "platformAddress": "john.doe@bird.com"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/conversations-api/api-reference/conversation-participants/get-participant-by-identifier-key-and-value.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
